--- include/class.custom_field.php	2009-01-12 23:15:12.089164963 +0200
+++ /usr/share/eventum/include/class.custom_field.php	2009-02-05 02:03:28.777388676 +0200
@@ -29,12 +29,6 @@
 // @(#) $Id: class.custom_field.php 3797 2009-01-12 20:14:39Z balsdorf $
 //
 
-require_once(APP_INC_PATH . "class.error_handler.php");
-require_once(APP_INC_PATH . "class.misc.php");
-require_once(APP_INC_PATH . "class.issue.php");
-require_once(APP_INC_PATH . "class.user.php");
-require_once(APP_INC_PATH . "class.auth.php");
-require_once(APP_INC_PATH . "class.history.php");
 
 /**
  * Class to handle the business logic related to the administration
@@ -68,7 +62,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field_option
                  WHERE
                     cfo_id IN (" . implode(",", $cfo_id) . ")";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -80,7 +74,7 @@
                      WHERE
                         icf_fld_id IN (" . implode(", ", $fld_id) . ") AND
                         icf_value IN (" . implode(", ", $cfo_id) . ")";
-            $GLOBALS["db_api"]->dbh->query($stmt);
+            Db_Helper::getInstance()->query($stmt);
             return true;
         }
     }
@@ -110,7 +104,7 @@
                         $fld_id,
                         '" . Misc::escapeString($option) . "'
                      )";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -137,7 +131,7 @@
                     cfo_value='" . Misc::escapeString($cfo_value) . "'
                  WHERE
                     cfo_id=" . $cfo_id;
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -170,7 +164,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                      WHERE
                         fld_id IN (" . implode(", ", Misc::escapeInteger(@array_keys($_POST['custom_fields']))) . ")";
-            $field_types = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+            $field_types = Db_Helper::getInstance()->getAssoc($stmt);
 
             // get the titles for all of the custom fields being submitted
             $stmt = "SELECT
@@ -180,7 +174,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                      WHERE
                         fld_id IN (" . implode(", ", Misc::escapeInteger(@array_keys($_POST['custom_fields']))) . ")";
-            $field_titles = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+            $field_titles = Db_Helper::getInstance()->getAssoc($stmt);
 
             $updated_fields = array();
             foreach ($_POST["custom_fields"] as $fld_id => $value) {
@@ -194,7 +188,7 @@
                             " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                         WHERE
                             fld_id = $fld_id";
-                $min_role = $GLOBALS["db_api"]->dbh->getOne($sql);
+                $min_role = Db_Helper::getInstance()->getOne($sql);
                 if ($min_role > Auth::getCurrentRole()) {
                     continue;
                 }
@@ -219,7 +213,7 @@
                              WHERE
                                 icf_iss_id=" . $issue_id . " AND
                                 icf_fld_id=$fld_id";
-                    $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+                    $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
                     if (PEAR::isError($res)) {
                         Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                         return -1;
@@ -250,7 +244,7 @@
                                     $fld_id,
                                     $value
                                  )";
-                        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+                        $res = Db_Helper::getInstance()->query($stmt);
                         if (PEAR::isError($res)) {
                             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                             return -1;
@@ -263,7 +257,7 @@
                                     $fld_db_name=$value
                                  WHERE
                                     icf_id=$icf_id";
-                        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+                        $res = Db_Helper::getInstance()->query($stmt);
                         if (PEAR::isError($res)) {
                             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                             return -1;
@@ -358,7 +352,7 @@
                         " . Misc::escapeInteger($fld_id) . ",
                         $item
                      )";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return false;
@@ -407,7 +401,7 @@
         $stmt .= "
                  ORDER BY
                     fld_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -490,7 +484,7 @@
                      WHERE
                         cfo_fld_id=" .  Misc::escapeInteger($fld_id) . " AND
                         cfo_id=" .  Misc::escapeInteger($value);
-            $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+            $res = Db_Helper::getInstance()->getOne($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return "";
@@ -541,7 +535,7 @@
                      WHERE
                         cfo_fld_id=" .  Misc::escapeInteger($fld_id) . " AND
                         cfo_value='" .  Misc::escapeString($value) . "'";
-            $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+            $res = Db_Helper::getInstance()->getOne($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return "";
@@ -619,7 +613,7 @@
         $stmt .= "
                  ORDER BY
                     fld_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -742,7 +736,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                  WHERE
                     fld_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -751,7 +745,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_custom_field
                      WHERE
                         pcf_fld_id IN ($items)";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return false;
@@ -760,7 +754,7 @@
                             " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_custom_field
                          WHERE
                             icf_fld_id IN ($items)";
-                $res = $GLOBALS["db_api"]->dbh->query($stmt);
+                $res = Db_Helper::getInstance()->query($stmt);
                 if (PEAR::isError($res)) {
                     Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                     return false;
@@ -769,7 +763,7 @@
                                 " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field_option
                              WHERE
                                 cfo_fld_id IN ($items)";
-                    $res = $GLOBALS["db_api"]->dbh->query($stmt);
+                    $res = Db_Helper::getInstance()->query($stmt);
                     if (PEAR::isError($res)) {
                         Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                         return false;
@@ -848,7 +842,7 @@
                     " . Misc::escapeInteger($_POST['rank']) . ",
                     '" . Misc::escapeString(@$_POST['custom_field_backend']) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -888,7 +882,7 @@
                     " . Misc::escapeInteger($prj_id) . ",
                     " . Misc::escapeInteger($fld_id) . "
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -913,7 +907,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                  ORDER BY
                     fld_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -956,7 +950,7 @@
                     pcf_fld_id=" . Misc::escapeInteger($fld_id) . "
                  ORDER BY
                     prj_title ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -988,7 +982,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                  WHERE
                     fld_id=" . Misc::escapeInteger($fld_id);
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
@@ -1050,7 +1044,7 @@
             $stmt .= "
                      ORDER BY
                         cfo_id ASC";
-            $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+            $res = Db_Helper::getInstance()->getAssoc($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return "";
@@ -1145,7 +1139,7 @@
                     fld_backend = '" . Misc::escapeString(@$_POST['custom_field_backend']) . "'
                  WHERE
                     fld_id=" . Misc::escapeInteger($_POST["id"]);
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -1158,7 +1152,7 @@
                             " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field_option
                          WHERE
                             cfo_fld_id=" . Misc::escapeInteger($_POST["id"]);
-                $current_options = $GLOBALS["db_api"]->dbh->getCol($stmt);
+                $current_options = Db_Helper::getInstance()->getCol($stmt);
             }
             if ($old_details["fld_type"] != $_POST["field_type"]) {
                 // gotta remove all custom field options if the field is being changed from a combo box to a text field
@@ -1210,7 +1204,7 @@
                         " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_custom_field
                      WHERE
                         pcf_fld_id=" . Misc::escapeInteger($_POST["id"]);
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -1240,7 +1234,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_custom_field
                  WHERE
                     pcf_prj_id=" . Misc::escapeInteger($prj_id);
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -1290,7 +1284,7 @@
         if (count($issues) > 0) {
             $stmt .= " AND icf_iss_id IN(" . join(', ', Misc::escapeInteger($issues)) . ")";
         }
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -1320,7 +1314,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field_option
                  WHERE
                     cfo_fld_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->getCol($stmt);
+        $res = Db_Helper::getInstance()->getCol($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -1346,7 +1340,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "issue_custom_field
                  WHERE
                     icf_iss_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -1371,7 +1365,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "project_custom_field
                  WHERE
                     pcf_prj_id IN ($items)";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -1403,7 +1397,7 @@
                     fld_min_role <= " . Auth::getCurrentRole() . "
                 ORDER BY
                     fld_rank ASC";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($sql);
+        $res = Db_Helper::getInstance()->getAssoc($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -1428,7 +1422,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                 WHERE
                     fld_title = '" . Misc::escapeString($title) . "'";
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return 0;
@@ -1464,7 +1458,7 @@
                     fld_id=icf_fld_id AND
                     icf_iss_id=" .  Misc::escapeInteger($iss_id) . " AND
                     fld_id = " . Misc::escapeInteger($fld_id);
-        $res = $GLOBALS["db_api"]->dbh->getAll($sql, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($sql, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
@@ -1502,7 +1496,7 @@
                     max(fld_rank)
                 FROM
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field";
-        return $GLOBALS["db_api"]->dbh->getOne($sql);
+        return Db_Helper::getInstance()->getOne($sql);
     }
 
 
@@ -1565,7 +1559,7 @@
                     fld_rank = $rank
                 WHERE
                     fld_id = $fld_id";
-        $res = $GLOBALS["db_api"]->dbh->query($sql);
+        $res = Db_Helper::getInstance()->query($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -1633,12 +1627,11 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "custom_field
                 WHERE
                     fld_id = " . Misc::escapeInteger($fld_id);
-        $res = $GLOBALS["db_api"]->dbh->getOne($sql);
+        $res = Db_Helper::getInstance()->getOne($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
         } elseif (!empty($res)) {
-            require_once(APP_INC_PATH . "custom_field/$res");
 
             $file_name_chunks = explode(".", $res);
             $class_name = $file_name_chunks[1] . "_Custom_Field_Backend";
@@ -1672,7 +1665,7 @@
                         icf_value_integer LIKE '%" . Misc::escapeInteger($search) . "%' OR
                         icf_value_date LIKE '%" . Misc::escapeString($search) . "%'
                     )";
-        $res = $GLOBALS["db_api"]->dbh->getCol($sql);
+        $res = Db_Helper::getInstance()->getCol($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -1779,7 +1772,7 @@
                 WHERE
                     $db_field_name IS NULL AND
                     icf_fld_id = " . Misc::escapeInteger($fld_id);
-        $res = $GLOBALS["db_api"]->dbh->query($sql);
+        $res = Db_Helper::getInstance()->query($sql);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
--- include/class.display_column.php	2009-01-12 23:15:12.059166108 +0200
+++ /usr/share/eventum/include/class.display_column.php	2009-02-05 02:03:28.790732690 +0200
@@ -128,7 +128,7 @@
                     ctd_page = '$page'
                 ORDER BY
                     ctd_rank";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt, false, array(), DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAssoc($stmt, false, array(), DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -230,7 +230,10 @@
                 ),
                 "iss_expected_resolution_date"  =>  array(
                     "title" =>  ev_gettext("Expected Resolution Date")
-                )
+                ),
+                "isu_order" => array(
+                    "title" => ev_gettext("Order")
+                ),
             )
         );
         return $columns[$page];
@@ -257,7 +260,7 @@
                 WHERE
                     ctd_prj_id = $prj_id AND
                     ctd_page = '$page'";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -272,7 +275,7 @@
                         ctd_field = '$field_name',
                         ctd_min_role = " . $_REQUEST['min_role'][$field_name] . ",
                         ctd_rank = $rank";
-            $res = $GLOBALS["db_api"]->dbh->query($sql);
+            $res = Db_Helper::getInstance()->query($sql);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
@@ -307,7 +310,7 @@
                         ctd_field = '$field_name',
                         ctd_min_role = $min_role,
                         ctd_rank = $rank";
-            $res = $GLOBALS["db_api"]->dbh->query($stmt);
+            $res = Db_Helper::getInstance()->query($stmt);
             if (PEAR::isError($res)) {
                 Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
                 return -1;
--- include/class.draft.php	2009-01-12 23:15:12.045423021 +0200
+++ /usr/share/eventum/include/class.draft.php	2009-02-05 02:04:13.544068030 +0200
@@ -27,7 +27,6 @@
 // +----------------------------------------------------------------------+
 //
 
-require_once(APP_INC_PATH . "class.email_account.php");
 
 class Draft
 {
@@ -90,7 +89,7 @@
             $stmt .= ", emd_unknown_user";
         }
         $stmt .= ") VALUES (
-                    '" . Date_API::getCurrentDateGMT() . "',
+                    '" . Date_Helper::getCurrentDateGMT() . "',
                     $usr_id,
                     $issue_id,
                     $parent_id,
@@ -100,7 +99,7 @@
             $stmt .= ", '" . Misc::escapeString($unknown_user) . "'";
         }
         $stmt .= ")";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -148,11 +147,11 @@
         $stmt = "UPDATE
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_draft
                  SET
-                    emd_updated_date='" . Date_API::getCurrentDateGMT() . "',
+                    emd_updated_date='" . Date_Helper::getCurrentDateGMT() . "',
                     emd_status = 'edited'
                  WHERE
                     emd_id=$emd_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return -1;
@@ -181,7 +180,7 @@
                     emd_status = 'sent'
                  WHERE
                     emd_id=$emd_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -206,7 +205,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_draft_recipient
                  WHERE
                     edr_emd_id=$emd_id";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -246,7 +245,7 @@
                     $is_cc,
                     '" . Misc::escapeString($email) . "'
                  )";
-        $res = $GLOBALS["db_api"]->dbh->query($stmt);
+        $res = Db_Helper::getInstance()->query($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return false;
@@ -272,12 +271,12 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_draft
                  WHERE
                     emd_id=$emd_id";
-        $res = $GLOBALS["db_api"]->dbh->getRow($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getRow($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
         } else {
-            $res["emd_updated_date"] = Date_API::getFormattedDate($res["emd_updated_date"]);
+            $res["emd_updated_date"] = Date_Helper::getFormattedDate($res["emd_updated_date"]);
             if (!empty($res['emd_unknown_user'])) {
                 $res['from'] = $res["emd_unknown_user"];
             } else {
@@ -316,13 +315,13 @@
         }
         $stmt .= "ORDER BY
                     emd_id";
-        $res = $GLOBALS["db_api"]->dbh->getAll($stmt, DB_FETCHMODE_ASSOC);
+        $res = Db_Helper::getInstance()->getAll($stmt, DB_FETCHMODE_ASSOC);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return '';
         } else {
             for ($i = 0; $i < count($res); $i++) {
-                $res[$i]["emd_updated_date"] = Date_API::getFormattedDate($res[$i]["emd_updated_date"]);
+                $res[$i]["emd_updated_date"] = Date_Helper::getFormattedDate($res[$i]["emd_updated_date"]);
                 if (!empty($res[$i]['emd_unknown_user'])) {
                     $res[$i]['from'] = $res[$i]["emd_unknown_user"];
                 } else {
@@ -356,7 +355,7 @@
                     " . APP_DEFAULT_DB . "." . APP_TABLE_PREFIX . "email_draft_recipient
                  WHERE
                     edr_emd_id=$emd_id";
-        $res = $GLOBALS["db_api"]->dbh->getAssoc($stmt);
+        $res = Db_Helper::getInstance()->getAssoc($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array('', '');
@@ -400,7 +399,7 @@
                 ORDER BY
                     emd_id ASC
                 LIMIT " . ($sequence - 1) . ", 1";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return array();
@@ -457,7 +456,7 @@
                  WHERE
                     emd_updated_date BETWEEN '$start' AND '$end' AND
                     emd_usr_id = $usr_id";
-        $res = $GLOBALS["db_api"]->dbh->getOne($stmt);
+        $res = Db_Helper::getInstance()->getOne($stmt);
         if (PEAR::isError($res)) {
             Error_Handler::logError(array($res->getMessage(), $res->getDebugInfo()), __FILE__, __LINE__);
             return "";
